Hey all, I svn up'd again and now have a new revision, which gives me access to fancy things like display.DisplayColoredShape. Interestingly, when I set the color of a shape and display it, the color changes as I rotate if I'm in the shading mode. Under wireframe mode, the color stays. To my untrained eye, it looks like the light source in the scene is the cause of the color change (for instance, an object that I set to be 'red' turns from red to yellow to white, and back to red, depending on how I rotate). Is there any particular way to fix this?
newCylinder17 = BRepPrimAPI.BRepPrimAPI_MakeCylinder(gp.gp_Ax2(gp.gp_Pnt(300,400,-600),gp.gp_Dir(0,0,-1)),75,1) display.DisplayColoredShape(newCylinder17.Shape(), 'RED') - Bryan http://heybryan.org/ 1 512 203 0507 _______________________________________________ Pythonocc-users mailing list Pythonocc-users@gna.org https://mail.gna.org/listinfo/pythonocc-users